Description

Due to the fact that RSB is now deployed and used in some projects, people will also start using RST in an increasing manner. As this

is currently a part of the framework which is directly exposed to the users, we need to get it (sort of) stable for some core datatypes

and its organization as fast as possible. Hence, we should...

- Discuss naming and structure

- Discuss what is necessary to include RST in versioning
- Discuss how to install includes

- Present our sketch at the next CITEC TF meeting

Related issues:
Related to Robotics Systems Types - Enhancement # 629: svn-based package version
Related to Robotics Systems Types - Tasks # 631: Make revisions for each IDL ...

Rejected 11/17/2011 11/17/2011
Feedback 10/14/2011

Associated revisions

Revision 9dc0448c - 10/13/2011 06:21 PM - J. Wienke

A first try to implement the new structure

refs #601

Revision a56ad2d9 - 10/14/2011 02:48 PM - J. Wienke

rename packages

refs #601

History

#1 - 09/30/2011 06:58 PM - S. Wrede
- Description updated

#2 - 10/05/2011 07:15 PM - S. Wrede
- Status changed from New to Feedback
- % Done changed from 0 to 30

Johannes summarized nicely what we decided on yesterday afternoon:
https://code.cor-lab.org/projects/rst/wiki/Structure Proposal

Arne any myself will prepare an initial change proposal.
https://code.cor-lab.org/projects/rst/wiki/Structure_Proposal

#3 - 10/05/2011 08:40 PM - S. Wrede

- % Done changed from 30 to 40

Arne and myself started with some re-organization of proto-Files in the RST library.

Our proposal for the three package names is motivated briefly here:
https://code.cor-lab.org/projects/rst/wiki/Type Overview

#4 - 10/13/2011 11:08 AM - J. Wienke
- Status changed from Feedback to In Progress
- Assignee changed from S. Wrede to J. Wienke

| will start with refactoring the rest now.

#5 - 10/13/2011 06:22 PM - J. Wienke
- % Done changed from 40 to 60

folder structure and build system updated to new proposal

#6 - 10/13/2011 09:23 PM - S. Wrede

Thanks for this first reorganization!

A quick comment: I'd propose to rename

- imageprocessing to vision (because it is the semantic category, processing is unnecessary and vision allows more than images)

- audioprocessing to audition (audition seems to be the equivalent term here)

(and both terms are just shorter...)

Good start, anyway!

#7 - 10/14/2011 02:21 PM - J. Wienke
- % Done changed from 60 to 80

content consolidation still missing

#8 - 10/14/2011 05:23 PM - J. Wienke
- % Done changed from 80 to 90

Several coding conventions have been fixed now and also documented in the wiki. However, the content discussion about types remains. E.g. is a
Translation a Point3D?
https://code.cor-lab.org/projects/rst/wiki/Type_Overview
http://www.google.de/#sclient=psy-ab&#38;hl=de&#38;source=hp&#38;q=vision+and+audition&#38;pbx=1&#38;oq=vision+and+au&#38;aq=3L&#38;aqi=g-L4&#38;aql=1&#38;gs_sm=c&#38;gs_upl=1105l5670l0l9939l13l9l0l0l0l0l519l1950l0.6.2.5-1l9l0&#38;bav=on.2,or.r_gc.r_pw.,cf.osb&#38;fp=11963d3ebd550da0&#38;biw=1376&#38;bih=847

#9 - 10/20/2011 03:07 AM - J. Moringen
- Target version deleted (0.5)

#10 - 12/05/2011 05:37 PM - J. Wienke

How do we proceed here? Otherwise this will stay open endlessly.

#11 - 02/10/2012 12:41 PM - J. Wienke

- Assignee changed from J. Wienke to J. Moringen

Jan, has this been done now with th 1.0 release? If so we should close this and add the version to the issue.

#12 - 02/10/2012 01:34 PM - J. Moringen
- Assignee deleted (J. Moringen)

No, this was unrelated, | think.

#13 - 02/10/2012 01:39 PM - J. Wienke

How will we ever resolve this? ;)

#14 - 02/11/2012 01:56 PM - S. Wrede
- Status changed from In Progress to Resolved
- % Done changed from 90 to 100

That is quite a long time ago and was an initial reminder to set up some organizational structures in RST. We did that and | will close this issue now.
